%global modulename ssri

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-ssri
Version:        6.0.1
Release:        1%{?dist}
Summary:        Standard Subresource Integrity library --  parses, serializes, generates, and verifies integrity metadata according to the SRI spec.

License:        ISC
URL:            https://github.com/zkat/ssri#readme
Source0:        https://registry.npmjs.org/ssri/-/ssri-6.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(figgy-pudding) >= 3.5.1 with npmlib(figgy-pudding) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Standard Subresource Integrity library --  parses, serializes, generates, and verifies integrity metadata according to the SRI spec.

%package 6.0.1
Summary:        Standard Subresource Integrity library --  parses, serializes, generates, and verifies integrity metadata according to the SRI spec.


%description 6.0.1
Standard Subresource Integrity library --  parses, serializes, generates, and verifies integrity metadata according to the SRI spec.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 6.0.1
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 6.0.1-1
- Package automatically generated by npm2srpm
